//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
 bool Success;
 char *pChar;
 const char WebPageName[] = "C:\\Test.html";
 AnsiString aString, TempString;
 int Count;
 TFileStream *aStream;

 try
 {
  Screen->Cursor = crHourGlass;
  Success = true;
  aStream = new TFileStream( WebPageName, fmCreate );
  try
  {
   this->IdHTTP1->Get(this->LabeledEdit1->Text,aStream);
  }
  catch(...)
  {
   Success = false;
   ShowMessage("Retrieving webpage occurs an error !");
  }
 }
 __finally
 {
  delete aStream;
  Screen->Cursor = crDefault;  
 }

 if ( ! Success )
 {
  DeleteFile(WebPageName);
  return;
 }

 this->RichEdit1->Lines->LoadFromFile(WebPageName);
 for ( Count = 0 ; Count < this->RichEdit1->Lines->Count ; Count++ )
 {
  aString = this->RichEdit1->Lines->Strings[Count];
  aString = aString.Trim(); // could also TrimLeft() or TrimRight()
  pChar = aString.c_str();
  TempString = "";
  while ( *pChar && ( isprint(*pChar) || *pChar == '\n' ) )
          TempString += *pChar++;
  this->RichEdit1->Lines->Strings[Count] = TempString;
 }
 this->RichEdit1->Lines->SaveToFile(WebPageName);
 ShowMessage("Loading specified webpage is done ! " + IntToStr(this->RichEdit1->Lines->Count) + " lines has been processed.");
}
//---------------------------------------------------------------------------
